[MNT-14138] Postgre setup requires libreadline.so.5 shared library Created: 03-Jun-15  Updated: 06-Nov-15  Resolved: 21-Jul-15

Status: Closed
Project: Service Packs and Hot Fixes
Component/s: Installer
Affects Version/s: 4.2.N
Fix Version/s: 4.2.5

Type: Bug
Reporter: Viachaslau Tikhanovich [X] (Inactive) Assignee: Closed Bugs
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified
Environment:

Linux (CentOS 6.4, Ubuntu 12.04)


Issue Links:
Blocks
Duplicate
Related
is related to by MNT-10914 Alfresco 4.2.d categories corrupting ... Closed
Bug Priority:
Category 2
Build Location: https://releases.alfresco.com/Enterprise-4.2/4.2.5/build-00135/

 Description   

The following error occurs on installation:
..............................................................................
Please wait while Setup installs Alfresco Enterprise on your computer.
Installing
0% ______________ 50% ______________ 100%
###########
Error: There has been an error.
Error running su postgres -c '"/opt/alfresco-4.2.5/postgresql/bin/psql" -c
"ALTER USER postgres PASSWORD '\''****'\''" ' :
/opt/alfresco-4.2.5/postgresql/bin/psql.bin: error while loading shared
libraries: libreadline.so.5: cannot open shared object file: No such file or
directory
Press [Enter] to continue :
.............................................................................

Seems that documentation update should be done (to add instructions how to install the libreadline.so.5 library) or bitrock should be changed to install the required library automatically (if it is possible to do with bitrock).
On Ubuntu 12.04 machine I have installed libreadline5 packet with the following command:

sudo apt-get install libreadline5

Generated at Tue Aug 11 23:33:53 BST 2020 using Jira 7.13.15#713015-sha1:7c5ddd2c3e1709974ae9c48c17df8edd3919fe2c.